readpDataSlides {arrayMagic} | R Documentation

## Reads the description of all slides or channels

### Description

The function reads the `slideDescriptionFile`, which contains all information row-wise for each slide/microarray or for each channel in a tab-deliminated text file. The file is read up to the first line containing solely "white space".

### Usage

    readpDataSlides(slideDescriptionFile = "slideDescription.txt", loadPath = ".", deleteBlanks = TRUE, verbose = TRUE)

### Arguments

`slideDescriptionFile` | character string; required; default "slideDescription.txt". The first line of the file must contain all column names, in particular the column named "fileName" which contains image analyis result file names and possibly additionally a column which contains the slide names; cf. the arguments `fileNameColumn` and `slideNameColumn` of `readIntensities`.
`loadPath` | character string; required; default: ".". The path is used to load the `slideDescriptionFile`; note: "." refers to the working directory.
`deleteBlanks` | logical; required; default: `TRUE`. Any blank character is removed from the text body of the `slideDescriptionFile`
`verbose` | logical; required; default: `TRUE`

### Value

`data.frame`

### Author(s)

Andreas Buness <a.buness@dkfz.de>

### See Also

`readIntensities`, `processArrayData`

### Examples

           LOADPATH <- file.path(.path.package("arrayMagic"), "extdata")
            SLIDEDESCRIPTIONFILE <- "slideDescription"

            resultObject <- readpDataSlides(
                                 loadPath=LOADPATH,
                                 slideDescriptionFile=SLIDEDESCRIPTIONFILE
                      )

[Package Contents]